Skip to navigation

List Regions By Country And Tax Type And Tax Sub Type And Rate Type

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Returns a list of all ISO 3166 region codes for a specific country code and their US English friendly names. This API is intended to be used as a way to provide a dropdown box in your website to allow customers to select a region within the country for shipping addresses.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

companyIdintegerRequired
The ID of the company for which you want to retrieve the applicable regions
countrystringRequired
The country for which you want to retrieve the regions
taxTypeIdstringRequired

The taxTypeId for which you want to retrieve the regions. Example values include Autimotive, tires, Lodging, S, U, I, O, All, etc. Run the “/api/v2/definitions/taxtypes/countries/{country}?companyId=” endpoint for a list of taxTypeId values.

taxSubTypeIdstringRequired

The taxSubType for which you want to retrieve the regions. Example values include Accommodations, BikeTax, IGST, S, U, All, etc. Run the “api/v2/definitions/taxsubtypes” endpoint for a list of taxSubTypes values.

rateTypeIdintegerRequired

The rateTypeId for which you want to retrieve the regions. Note: The rateTypeId is an integer. Run the “/api/v2/definitions/countries/{country}/taxtypes/{taxTypeId}/taxsubtypes/{taxSubTypeId}/ratetypes” endpoint for a list of rateTypeId values.”

jurisdictionTypeIdstringRequired

The JurisdictionTypeId for which you want to retrieve the regions. This is a three-character string. Accepted values are CNT (country), STA (state), CTY (county), CIT (city), or STJ (special jurisdiction).

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

$topintegerOptional

If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.

$skipintegerOptional

If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.

$orderBystringOptional

A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.

$scopeenumOptional

Optional query parameter to filter system, custom content or all regions (default: System)

Allowed values:

Response

Success
@recordsetCountintegerOptional
valuelist of objectsOptional
pageKeystringOptional